summaryrefslogtreecommitdiff
path: root/t/t4114-apply-typechange.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 17:55:18 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 17:56:25 -0700
commit7d5a1806e8c2d9980938a05a56939272ad2ec338 (patch)
tree6a09da6a7a0d76a3bf1fc0f2d860349c6efe1de9 /t/t4114-apply-typechange.sh
parentt1301-shared-repo: fix forced modes test (diff)
parentGIT 1.6.3-rc0 (diff)
downloadtgif-7d5a1806e8c2d9980938a05a56939272ad2ec338.tar.xz
Mark t1301 permission test to depend on POSIXPERM
This prepares the topic for inclusion to master.
Diffstat (limited to 't/t4114-apply-typechange.sh')
-rwxr-xr-xt/t4114-apply-typechange.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t4114-apply-typechange.sh b/t/t4114-apply-typechange.sh
index 0f185caa44..99ec13dd53 100755
--- a/t/t4114-apply-typechange.sh
+++ b/t/t4114-apply-typechange.sh
@@ -9,6 +9,12 @@ test_description='git apply should not get confused with type changes.
. ./test-lib.sh
+if ! test_have_prereq SYMLINKS
+then
+ say 'Symbolic links not supported, skipping tests.'
+ test_done
+fi
+
test_expect_success 'setup repository and commits' '
echo "hello world" > foo &&
echo "hi planet" > bar &&